### Method

# Gegl MetadataStore register

#### Declaration [src]

    void
    gegl_metadata_store_register (
      GeglMetadataStore* self,
      const gchar* local_name,
      const gchar* name,
      GValueTransform transform
    )

#### Description

No description available.

#### Parameters

`local_name`

  Type: `const gchar*`

  Metadata name known to file module.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`transform`

  Type: `GValueTransform`

  A `GValueTransform` function or `NULL`.